org.gradle.language.objectivec.plugins

## Class ObjectiveCPlugin

- java.lang.Object
- - org.gradle.language.objectivec.plugins.ObjectiveCPlugin

- All Implemented Interfaces:
    Plugin<Project>

      @Incubating
      public class ObjectiveCPlugin
      extends Object
      implements Plugin<Project>

  A plugin for projects wishing to build native binary components from Objective-C sources.

  Automatically includes the `ObjectiveCLangPlugin` for core Objective-C support and the `NativeComponentPlugin` for native component support.

- Creates a `ObjectiveCCompile` task for each `ObjectiveCSourceSet` to compile the Objective-C sources.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectiveCPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project project)` Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectiveCPlugin

          public ObjectiveCPlugin()

  - ### Method Detail

    - #### apply

          public void apply(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object